"""movieclub URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.1/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import include, path, reverse
from django.views.generic.base import RedirectView

import auth.urls
import watchlist.urls

urlpatterns = [
    path('', RedirectView.as_view(url="/watchlist/"), name="home"),
    path('admin/', admin.site.urls),
    path('auth/', include(auth.urls)),
    path('watchlist/', include(watchlist.urls)),
    # path('openapi', schemas.get_schema_view(
    #     title="Movieclub",
    #     description="",
    #     version="0.1.0"
    # )),
    path('api-auth/', include('rest_framework.urls', namespace='rest_framework'))
]
